summaryrefslogtreecommitdiffstats
path: root/source/n/ipw2100-fw/ipw2100-fw.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/ipw2100-fw/ipw2100-fw.SlackBuild')
-rwxr-xr-xsource/n/ipw2100-fw/ipw2100-fw.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/source/n/ipw2100-fw/ipw2100-fw.SlackBuild b/source/n/ipw2100-fw/ipw2100-fw.SlackBuild
new file mode 100755
index 000000000..6ef7bfb6e
--- /dev/null
+++ b/source/n/ipw2100-fw/ipw2100-fw.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Copyright 2006, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=ipw2100-fw
+VERSION=${VERSION:-1.3}
+ARCH=${ARCH:-fw}
+BUILD=${BUILD:-1}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+mkdir ${PKGNAM}-${VERSION}
+cd ${PKGNAM}-$VERSION
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+chmod 644 *
+
+# install:
+mkdir -p $PKG/lib/firmware
+cp -a * $PKG/lib/firmware
+
+# This file is in danger of being copied over if we don't give it a
+# better name:
+mv $PKG/lib/firmware/LICENSE $PKG/lib/firmware/LICENSE.ipw2100-fw-${VERSION}
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-${VERSION}
+cp -a LICENSE $PKG/usr/doc/${PKGNAM}-${VERSION}
+
+mkdir -p $PKG/install
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ipw2100-fw: ipw2100-fw (Intel ipw2100 wireless firmware)
+ipw2100-fw:
+ipw2100-fw: This firmware is used by the ipw2100 kernel module for the Intel
+ipw2100-fw: PRO/Wireless 2100 Network Connection mini PCI adapter.
+ipw2100-fw: Your use of this firmware is governed by this Intel license:
+ipw2100-fw: /usr/doc/${PKGNAM}-${VERSION}/LICENSE
+ipw2100-fw:
+ipw2100-fw: Visit Intel's Linux wireless website at this address:
+ipw2100-fw: http://intellinuxwireless.org/
+ipw2100-fw:
+ipw2100-fw:
+EOF
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+